/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

//@each $breakpoint in map-keys($grid-breakpoints) {
//  @include media-breakpoint-up($breakpoint) {
//    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);
//
//    .float#{$infix}-left  { @include float-left; }
//    .float#{$infix}-right { @include float-right; }
//    .float#{$infix}-none  { @include float-none; }
//  }
//}
#each-breakpoint-float(@i: 1) when (@i =< length(@grid-breakpoints)) {
	@breakpoint: extract(extract(@grid-breakpoints, @i), 1);

	#media-breakpoint-up(@breakpoint, {
		@infix: breakpoint-infix(@breakpoint, @grid-breakpoints);

		.float@{infix}-left  { #float-left(); }
		.float@{infix}-right { #float-right(); }
		.float@{infix}-none  { #float-none(); }
	});

	#each-breakpoint-float((@i + 1));
} #each-breakpoint-float();
